# Class: MoneroRpcError

## MoneroRpcError(rpcDescription, rpcCode, rpcMethod, rpcParams)

Error when interacting with Monero RPC.

## Constructor

#### new MoneroRpcError(rpcDescription, rpcCode, rpcMethod, rpcParams)

Constructs the error.

##### Parameters:

Name | Type | Description
--- | --- | ---
`rpcDescription` | string | is a description of the error from rpc
`rpcCode` | int | is the error code from rpc
`rpcMethod` | string | is the rpc method invoked
`rpcParams` | object | are parameters sent with the rpc request

Source:
  - src/main/js/common/MoneroRpcError.js, line 6

### Methods

#### getRpcMethod()

Source:
  - src/main/js/common/MoneroRpcError.js, line 22

#### getRpcParams()

Source:
  - src/main/js/common/MoneroRpcError.js, line 26

#### toString()

Source:
  - src/main/js/common/MoneroRpcError.js, line 30